# Generated by Django 4.1 on 2022-09-28 22:59

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('principal', '0004_alter_dvd_categoria'),
    ]

    operations = [
        migrations.CreateModel(
            name='Departamento',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('nome', models.CharField(max_length=40, unique=True)),
            ],
            options={
                'db_table': 'departamento',
            },
        ),
        migrations.CreateModel(
            name='DepartamentoFuncionario',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('ativo', models.BooleanField(default=True)),
                ('criado_em', models.DateTimeField(auto_now_add=True)),
                ('modificado_em', models.DateTimeField(auto_now=True)),
                ('departamento', models.ForeignKey(db_column='id_departamento', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.departamento')),
                ('funcionario', models.ForeignKey(db_column='id_funcionario', on_delete=django.db.models.deletion.DO_NOTHING, to='principal.funcionario')),
            ],
            options={
                'db_table': 'departamento_funcionario',
                'unique_together': {('departamento', 'funcionario')},
            },
        ),
    ]
